Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZInformationCollectionAttribute Class Reference

The class eZInformationCollectionAttribute handles collected attribute information. More...

Inheritance diagram for eZInformationCollectionAttribute:

## Public Member Functions
| __construct ( $row)
| classContent ()
| content ()
| hasContent ()
| resultTemplateName ()
| contentObject ()
| contentObjectAttribute ()
| contentClassAttribute ()
| dataType ()
| contentClassAttributeName ()
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $informationCollectionID)
static | fetchByObjectAttributeID ( $id, $contentobjectAttributeID, $asObject=true)
static | cleanup ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $ContentClassAttributeID
| $Content
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZInformationCollectionAttribute handles collected attribute information.

Definition at line 18 of file ezinformationcollectionattribute.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZInformationCollectionAttribute::__construct | ( |  | $row | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 21 of file ezinformationcollectionattribute.php.

## Member Function Documentation

## ◆ classContent()

eZInformationCollectionAttribute::classContent | ( |  | ) |

Returns
  the content for the contentclass attribute which defines this information collection attribute.

Definition at line 93 of file ezinformationcollectionattribute.php.

References contentClassAttribute().

## ◆ cleanup()

static eZInformationCollectionAttribute::cleanup | ( |  | ) |
| static

Removes all attributes for collected information.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 209 of file ezinformationcollectionattribute.php.

References eZDB\instance().

Referenced by eZInformationCollection\cleanup().

## ◆ content()

eZInformationCollectionAttribute::content | ( |  | ) |

Returns
  the content for this attribute.

Definition at line 106 of file ezinformationcollectionattribute.php.

References $Content, and dataType().

## ◆ contentClassAttribute()

eZInformationCollectionAttribute::contentClassAttribute | ( |  | ) |

Definition at line 160 of file ezinformationcollectionattribute.php.

References eZPersistentObject\attribute(), and eZContentClassAttribute\fetch().

Referenced by classContent(), and dataType().

## ◆ contentClassAttributeName()

eZInformationCollectionAttribute::contentClassAttributeName | ( |  | ) |

Definition at line 173 of file ezinformationcollectionattribute.php.

References eZDB\instance(), and eZSerializedObjectNameList\nameFromSerializedString().

## ◆ contentObject()

eZInformationCollectionAttribute::contentObject | ( |  | ) |

Definition at line 149 of file ezinformationcollectionattribute.php.

References eZPersistentObject\attribute(), and eZContentObject\fetch().

Referenced by contentObjectAttribute().

## ◆ contentObjectAttribute()

eZInformationCollectionAttribute::contentObjectAttribute | ( |  | ) |

Definition at line 154 of file ezinformationcollectionattribute.php.

References eZPersistentObject\attribute(), contentObject(), and eZContentObjectAttribute\fetch().

## ◆ create()

static eZInformationCollectionAttribute::create | ( |  | $informationCollectionID | ) |
| static

Creates a new eZInformationCollectionAttribute instance.

Definition at line 184 of file ezinformationcollectionattribute.php.

## ◆ dataType()

eZInformationCollectionAttribute::dataType | ( |  | ) |

Definition at line 165 of file ezinformationcollectionattribute.php.

References contentClassAttribute().

Referenced by content(), hasContent(), and resultTemplateName().

## ◆ definition()

static eZInformationCollectionAttribute::definition | ( |  | ) |
| static

Returns
  the persistent object definition for the eZInformationCollectionAttribute class.

Reimplemented from eZPersistentObject.

Definition at line 30 of file ezinformationcollectionattribute.php.

Referenced by fetchByObjectAttributeID().

## ◆ fetchByObjectAttributeID()

static eZInformationCollectionAttribute::fetchByObjectAttributeID | ( |  | $id,
|  |  | $contentobjectAttributeID,
|  |  | $asObject = `true`
| ) |  |
| static

Fetches the information collection by object attribute ID.

Definition at line 194 of file ezinformationcollectionattribute.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ hasContent()

eZInformationCollectionAttribute::hasContent | ( |  | ) |

Returns
  `true` if the attribute is considered to have any content at all (ie. non-empty).

It will call the hasObjectAttributeContent() for the current datatype to figure this out.

Definition at line 124 of file ezinformationcollectionattribute.php.

References dataType().

## ◆ resultTemplateName()

eZInformationCollectionAttribute::resultTemplateName | ( |  | ) |

Returns
  the template name to use for viewing the attribute

Note
  The returned template name does not include the .tpl extension.

See also
  informationTemplate

Definition at line 139 of file ezinformationcollectionattribute.php.

References dataType().

## Member Data Documentation

## ◆ $Content

eZInformationCollectionAttribute::$Content

Definition at line 216 of file ezinformationcollectionattribute.php.

Referenced by content().

## ◆ $ContentClassAttributeID

eZInformationCollectionAttribute::$ContentClassAttributeID

Definition at line 20 of file ezinformationcollectionattribute.php.

The documentation for this class was generated from the following file:

- ezinformationcollectionattribute.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.